//Robo India's tutorial on LCD Keypad Shield
https://www.roboindia.com/tutorials/

#include <Wire.h>
#include <LiquidCrystal.h>

LiquidCrystal lcd( 8,9,4,5,6,7 );  //interfacing pins

void setup()
{

   // set up the LCD's number of columns and rows:
  lcd.begin(16, 2);
  // Print a message to the LCD.
  lcd.setCursor(0,0);
  lcd.print("LCD Key Shield");
  lcd.setCursor(0,1);
  lcd.print("Press Key:");
}

void loop()
{
  int x;
  x = analogRead (0);
  lcd.setCursor(10,1);
  if (x < 60) {
    lcd.print ("Right ");
  }
  else if (x < 200) {
    lcd.print ("Up    ");    //analog voltage 145
  }
  else if (x < 400){
    lcd.print ("Down  ");    //analog voltage 329
  }
  else if (x < 600){
    lcd.print ("Left  ");    //analog voltage 585
  }
  else if (x < 800){
    lcd.print ("Select");    //analog voltage 741
  }
}
